## ros-iron-rosbag2-storage 0.22.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_storage)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

find_package(ament_cmake REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

add_library(
  ${PROJECT_NAME}
  SHARED
  src/rosbag2_storage/default_storage_id.cpp
  src/rosbag2_storage/metadata_io.cpp
  src/rosbag2_storage/ros_helper.cpp
  src/rosbag2_storage/storage_factory.cpp
  src/rosbag2_storage/storage_options.cpp
  src/rosbag2_storage/base_io_interface.cpp)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
)
target_link_libraries(${PROJECT_NAME}
  pluginlib::pluginlib
  rcpputils::rcpputils
  rcutils::rcutils
  yaml-cpp
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_STORAGE_BUILDING_DLL")

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME})

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

ament_export_dependencies(pluginlib yaml_cpp_vendor)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(rosbag2_test_common REQUIRED)

  ament_lint_auto_find_test_dependencies()

  add_library(
    test_plugin
    SHARED
    test/rosbag2_storage/test_plugin.cpp
    test/rosbag2_storage/test_read_only_plugin.cpp)
  target_link_libraries(test_plugin ${PROJECT_NAME})
  install(
    TARGETS test_plugin
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
  pluginlib_export_plugin_description_file(rosbag2_storage test/rosbag2_storage/test_plugin.xml)

  ament_add_gmock(test_storage_factory
    test/rosbag2_storage/test_storage_factory.cpp)
  if(TARGET test_storage_factory)
    target_link_libraries(test_storage_factory ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_ros_helper
    test/rosbag2_storage/test_ros_helper.cpp)
  if(TARGET test_ros_helper)
    target_link_libraries(test_ros_helper ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_metadata_serialization
    test/rosbag2_storage/test_metadata_serialization.cpp)
  if(TARGET test_metadata_serialization)
    target_link_libraries(test_metadata_serialization
      ${PROJECT_NAME}
      rosbag2_test_common::rosbag2_test_common
    )
  endif()

  ament_add_gmock(test_storage_options
    test/rosbag2_storage/test_storage_options.cpp)
  target_link_libraries(test_storage_options
    ${PROJECT_NAME}
    rosbag2_test_common::rosbag2_test_common
  )
endif()

ament_package()

=== debian/changelog ===
ros-iron-rosbag2-storage (0.22.3-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-rosbag2-storage (0.22.2-1jammy) jammy; urgency=high

  * Fix missing cstdint include (#1385 <https://github.com/ros2/rosbag2/issues/1385>)
  * Contributors: Zac Stanton

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rosbag2-storage (0.22.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 May 2023 16:00:00 -0000

ros-iron-rosbag2-storage (0.22.0-1jammy) jammy; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Contributors: Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-rosbag2-storage (0.21.0-1jammy) jammy; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rosbag2-storage (0.20.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rosbag2-storage (0.19.0-1jammy) jammy; urgency=high

  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * set_read_order: return success (#1177 <https://github.com/ros2/rosbag2/issues/1177>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Add update_metadata(BagMetadata) API for storage plugin interface (#1149 <https://github.com/ros2/rosbag2/issues/1149>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 12 Jan 2023 16:00:00 -0000

ros-iron-rosbag2-storage (0.18.0-1jammy) jammy; urgency=high

  * rosbag2_storage: expose default storage ID as method (#1146 <https://github.com/ros2/rosbag2/issues/1146>)
  * Don't reopen file for every seek if we don't have to. Search directionally for the correct file (#1117 <https://github.com/ros2/rosbag2/issues/1117>)
  * Reverse read order API and sqlite storage implementation (#1083 <https://github.com/ros2/rosbag2/issues/1083>)
  * Remove YAML_CPP_DLL define (#964 <https://github.com/ros2/rosbag2/issues/964>)
  * Added support for excluding topics via regular expressions (#1046 <https://github.com/ros2/rosbag2/issues/1046>)
  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>)
  * Contributors: Akash, Emerson Knapp, Esteve Fernandez, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 14 Nov 2022 16:00:00 -0000

ros-iron-rosbag2-storage (0.17.0-1jammy) jammy; urgency=high

  * Use a single variable for evaluating the filter regex (#1053 <https://github.com/ros2/rosbag2/issues/1053>)
  * Speed optimization: Preparing copyless publish/subscribing by using const message for writing (#1010 <https://github.com/ros2/rosbag2/issues/1010>)
  * Renamed --topics-regex to --regex and -e in Player class to be consistent with Recorder (#1045 <https://github.com/ros2/rosbag2/issues/1045>)
  * Add the ability to record any key/value pair in 'custom' field in metadata.yaml (#1038 <https://github.com/ros2/rosbag2/issues/1038>)
  * Added support for filtering topics via regular expressions on Playback (#1034 <https://github.com/ros2/rosbag2/issues/1034>)
  * Contributors: DensoADAS, Joshua Hampp, Esteve Fernandez, Hunter L. Allen, Michael Orlov, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 29 Jul 2022 16:00:00 -0000

ros-iron-rosbag2-storage (0.16.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-iron-rosbag2-storage (0.15.1-1jammy) jammy; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-iron-rosbag2-storage (0.15.0-1jammy) jammy; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rosbag2-storage (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-rosbag2-storage (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)


=== debian/control ===
Source: ros-iron-rosbag2-storage
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-pluginlib, ros-iron-rcpputils, ros-iron-rcutils, ros-iron-rosbag2-test-common <!nocheck>, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosbag2-storage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-pluginlib, ros-iron-rcpputils, ros-iron-rcutils, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: ROS2 independent storage format to store serialized ROS2 messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rosbag2-storage//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
